Bug 719624 - [abrt] man-db-2.5.9-5.fc15: __GI_raise: Process /usr/bin/mandb was killed by signal 6 (SIGABRT)
[abrt] man-db-2.5.9-5.fc15: __GI_raise: Process /usr/bin/mandb was killed by ...
Status: CLOSED NEXTRELEASE
Product: Fedora
Classification: Fedora
Component: man-db (Show other bugs)
15
x86_64 Unspecified
unspecified Severity unspecified
: ---
: ---
Assigned To: Peter Schiffer
Fedora Extras Quality Assurance
abrt_hash:714c595529f66a6c2e4325d7880...
:
: 719626 (view as bug list)
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 2011-07-07 09:48 EDT by Michael Breuer
Modified: 2012-03-22 10:50 EDT (History)
2 users (show)

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2012-03-22 10:50:24 EDT
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)

  None (edit)
Description Michael Breuer 2011-07-07 09:48:05 EDT
abrt version: 2.0.3
architecture:   x86_64
backtrace_rating: 4
cmdline:        mandb
comment:        Multiple man-db segfaults since upgrading to Fedora 15. Basically, it won't run to completion and has not since the upgrade (from 14). There are two distinct crashes - this is one, sending the other as well. Looks like memory corruption, bad pointer.
component:      man-db
crash_function: __GI_raise
executable:     /usr/bin/mandb
kernel:         2.6.39.2
os_release:     Fedora release 15 (Lovelock)
package:        man-db-2.5.9-5.fc15
reason:         Process /usr/bin/mandb was killed by signal 6 (SIGABRT)
time:           Thu Jul  7 09:18:19 2011
uid:            0
username:       root

backtrace:
:Missing separate debuginfo for 
:Try: yum --disablerepo='*' --enablerepo='*-debuginfo' install /usr/lib/debug/.build-id/3d/eb88c139226963a32620f4819dd0fde20f9d38
:[New LWP 2092]
:Core was generated by `mandb'.
:Program terminated with signal 6, Aborted.
:#0  0x00000033172352d5 in __GI_raise (sig=6) at ../nptl/sysdeps/unix/sysv/linux/raise.c:64
:64	  return INLINE_SYSCALL (tgkill, 3, pid, selftid, sig);
:
:Thread 1 (LWP 2092):
:#0  0x00000033172352d5 in __GI_raise (sig=6) at ../nptl/sysdeps/unix/sysv/linux/raise.c:64
:        resultvar = 0
:        pid = <optimized out>
:        selftid = <optimized out>
:#1  0x0000003317236beb in __GI_abort () at abort.c:93
:        save_stage = 2
:        act = {__sigaction_handler = {sa_handler = 0x4, sa_sigaction = 0x4}, sa_mask = {__val = {5, 140734144685682, 5, 219432726237, 3, 140734144678666, 6, 219432726241, 2, 140734144678686, 2, 219432719612, 1, 219432726237, 3, 140734144678662}}, sa_flags = 10, sa_restorer = 0x331735aee1}
:        sigs = {__val = {32, 0 <repeats 15 times>}}
:#2  0x0000003317270bce in __libc_message (do_abort=2, fmt=0x331735c2a8 "*** glibc detected *** %s: %s: 0x%s ***\n") at ../sysdeps/unix/sysv/linux/libc_fatal.c:198
:        ap = {{gp_offset = 40, fp_offset = 48, overflow_arg_area = 0x7fff38b39480, reg_save_area = 0x7fff38b39390}}
:        ap_copy = {{gp_offset = 16, fp_offset = 48, overflow_arg_area = 0x7fff38b39480, reg_save_area = 0x7fff38b39390}}
:        fd = 6
:        on_2 = <optimized out>
:        list = <optimized out>
:        nlist = <optimized out>
:        cp = <optimized out>
:        written = <optimized out>
:#3  0x000000331727703a in malloc_printerr (action=3, str=0x331735c2d8 "munmap_chunk(): invalid pointer", ptr=<optimized out>) at malloc.c:6283
:        buf = "0000000000efbad0"
:        cp = <optimized out>
:#4  0x000000000040c75d in ult_src (name=0xf002f0 "/usr/share/man/man3/ieee1284_ref.3.gz", path=0xc8eaf0 "/usr/share/man", buf=0x7fff38b395e0, flags=6) at ult_src.c:212
:        new_buf = {st_dev = 15722368, st_ino = 15722368, st_nlink = 15718641, st_mode = 72661157, st_uid = 32561, st_gid = 15718628, __pad0 = 0, st_rdev = 219431831154, st_size = 0, st_blksize = 6400256, st_blocks = 15722368, st_atim = {tv_sec = 139848430125096, tv_nsec = 15705456}, st_mtim = {tv_sec = 13, tv_nsec = 15722368}, st_ctim = {tv_sec = 15710896, tv_nsec = 0}, __unused = {15710896, 0, 140734144681728}}
:        base = 0xefbad0 "\204\347\357"
:        full_path = <optimized out>
:        end = <optimized out>
:        recurse = 0
:#5  0x0000000000403981 in test_manfile (file=0xf002f0 "/usr/share/man/man3/ieee1284_ref.3.gz", path=0xc8eaf0 "/usr/share/man") at check_mandirs.c:199
:        manpage_base = 0xefd8e4 "ieee1284_ref"
:        ult = <optimized out>
:        lg = {type = 0, whatis = 0x0, filters = 0x0}
:        manpage = 0xefd8d0 "/usr/share/man/man3"
:        info = {next = 0x0, addr = 0x0, name = 0x0, ext = 0xefd8f1 "3", sec = 0xefd8e2 "3", id = 0 '\000', pointer = 0x0, comp = 0x7f310433dd43 "gz", filter = 0x0, whatis = 0x0, _st_mtime = 1297157590}
:        exists = 0xefbab0
:        buf = {st_dev = 64773, st_ino = 68683, st_nlink = 1, st_mode = 33188, st_uid = 0, st_gid = 0, __pad0 = 0, st_rdev = 0, st_size = 1021, st_blksize = 4096, st_blocks = 8, st_atim = {tv_sec = 1310043377, tv_nsec = 511815535}, st_mtim = {tv_sec = 1297157590, tv_nsec = 0}, st_ctim = {tv_sec = 1309128502, tv_nsec = 437828128}, __unused = {0, 0, 0}}
:        len = 34
:#6  0x0000000000403fa5 in add_dir_entries (infile=<optimized out>, path=0xc8eaf0 "/usr/share/man") at check_mandirs.c:325
:        manpage = 0xf002f0 "/usr/share/man/man3/ieee1284_ref.3.gz"
:        len = 20
:        newdir = <optimized out>
:        dir = 0xc9bc40
:#7  testmandirs (path=0xc8eaf0 "/usr/share/man", catpath=0xd0e1a0 "/var/cache/man", last=0, create=1) at check_mandirs.c:484
:        dir = <optimized out>
:        mandir = <optimized out>
:        stbuf = {st_dev = 64773, st_ino = 1064, st_nlink = 2, st_mode = 16877, st_uid = 0, st_gid = 0, __pad0 = 0, st_rdev = 0, st_size = 761856, st_blksize = 4096, st_blocks = 1496, st_atim = {tv_sec = 1310043313, tv_nsec = 563912008}, st_mtim = {tv_sec = 1310043308, tv_nsec = 905846190}, st_ctim = {tv_sec = 1310043308, tv_nsec = 905846190}, __unused = {0, 0, 0}}
:        amount = 17
:        created = 1
:#8  0x00000000004045fc in create_db (manpath=0xc8eaf0 "/usr/share/man", catpath=0xd0e1a0 "/var/cache/man") at check_mandirs.c:571
:        amount = <optimized out>
:#9  0x00000000004094db in update_db_wrapper (catpath=<optimized out>, manpath=<optimized out>) at mandb.c:195
:        amount = <optimized out>
:#10 mandb (catpath=0xd0e1a0 "/var/cache/man", manpath=0xc8eaf0 "/usr/share/man") at mandb.c:482
:        pid = "2092\000\000\000\000\240\341\320", '\000' <repeats 11 times>
:        ret = <optimized out>
:        dbname = <optimized out>
:#11 0x00000000004099cb in process_manpath (manpath=0xc8eaf0 "/usr/share/man", global_manpath=<optimized out>) at mandb.c:533
:        ret = <optimized out>
:        catpath = 0xd0e1a0 "/var/cache/man"
:        amount = 0
:        __PRETTY_FUNCTION__ = "process_manpath"
:#12 0x000000000040308a in main (argc=<optimized out>, argv=<optimized out>) at mandb.c:654
:        ret = <optimized out>
:        dir = <optimized out>
:        global_manpath = 1
:        subdirent = <optimized out>
:        st = {st_dev = 0, st_ino = 4294967296, st_nlink = 0, st_mode = 4200290, st_uid = 0, st_gid = 389370752, __pad0 = 51, st_rdev = 219431892288, st_size = 0, st_blksize = 15774436, st_blocks = 9, st_atim = {tv_sec = 194, tv_nsec = 140734144682654}, st_mtim = {tv_sec = 4247040, tv_nsec = 0}, st_ctim = {tv_sec = 4204091, tv_nsec = 140734144682980}, __unused = {4247109, 15774436, 4247040}}
:        sys_manp = <optimized out>
:        amount = <optimized out>
:        mp = <optimized out>
:From                To                  Syms Read   Shared Object Library
:0x00007f310454a7b0  0x00007f310454cacc  Yes         /usr/lib64/man-db/libmandb-2.5.9.so
:0x00007f310431bed0  0x00007f310433dc9c  Yes         /usr/lib64/man-db/libman-2.5.9.so
:0x0000003320201510  0x000000332020421c  Yes         /usr/lib64/libgdbm.so.3.0.0
:0x000000331721ece0  0x000000331734304c  Yes         /lib64/libc-2.14.so
:0x0000003316e00b20  0x0000003316e18caa  Yes         /lib64/ld-2.14.so
:0x00000033182028a0  0x00000033182120cc  Yes         /lib64/libgcc_s-4.6.0-20110530.so.1
:$1 = 0x7f3104311000 ""
:No symbol "__glib_assert_msg" in current context.
:rax            0x0	0
:rbx            0x0	0
:rcx            0xffffffffffffffff	-1
:rdx            0x6	6
:rsi            0x82c	2092
:rdi            0x82c	2092
:rbp            0x7fff38b39470	0x7fff38b39470
:rsp            0x7fff38b38a38	0x7fff38b38a38
:r8             0x3317353140	219432694080
:r9             0x400310	4195088
:r10            0x8	8
:r11            0x246	582
:r12            0x7	7
:r13            0x56	86
:r14            0x7fff38b38be0	140734144678880
:r15            0x6	6
:rip            0x33172352d5	0x33172352d5 <__GI_raise+53>
:eflags         0x246	[ PF ZF IF ]
:cs             0x33	51
:ss             0x2b	43
:ds             0x0	0
:es             0x0	0
:fs             0x0	0
:gs             0x0	0
:Dump of assembler code for function __GI_raise:
:   0x00000033172352a0 <+0>:	mov    %fs:0x2d4,%eax
:   0x00000033172352a8 <+8>:	mov    %fs:0x2d0,%esi
:   0x00000033172352b0 <+16>:	test   %esi,%esi
:   0x00000033172352b2 <+18>:	jne    0x33172352e0 <__GI_raise+64>
:   0x00000033172352b4 <+20>:	mov    $0xba,%eax
:   0x00000033172352b9 <+25>:	syscall 
:   0x00000033172352bb <+27>:	mov    %eax,%esi
:   0x00000033172352bd <+29>:	mov    %eax,%fs:0x2d0
:   0x00000033172352c5 <+37>:	movslq %edi,%rdx
:   0x00000033172352c8 <+40>:	movslq %esi,%rsi
:   0x00000033172352cb <+43>:	movslq %eax,%rdi
:   0x00000033172352ce <+46>:	mov    $0xea,%eax
:   0x00000033172352d3 <+51>:	syscall 
:=> 0x00000033172352d5 <+53>:	cmp    $0xfffffffffffff000,%rax
:   0x00000033172352db <+59>:	ja     0x33172352ef <__GI_raise+79>
:   0x00000033172352dd <+61>:	repz retq 
:   0x00000033172352df <+63>:	nop
:   0x00000033172352e0 <+64>:	test   %eax,%eax
:   0x00000033172352e2 <+66>:	jg     0x33172352c5 <__GI_raise+37>
:   0x00000033172352e4 <+68>:	test   $0x7fffffff,%eax
:   0x00000033172352e9 <+73>:	je     0x3317235300 <__GI_raise+96>
:   0x00000033172352eb <+75>:	neg    %eax
:   0x00000033172352ed <+77>:	jmp    0x33172352c5 <__GI_raise+37>
:   0x00000033172352ef <+79>:	mov    0x35ccb2(%rip),%rdx        # 0x3317591fa8
:   0x00000033172352f6 <+86>:	neg    %eax
:   0x00000033172352f8 <+88>:	mov    %eax,%fs:(%rdx)
:   0x00000033172352fb <+91>:	or     $0xffffffffffffffff,%rax
:   0x00000033172352ff <+95>:	retq   
:   0x0000003317235300 <+96>:	mov    %esi,%eax
:   0x0000003317235302 <+98>:	jmp    0x33172352c5 <__GI_raise+37>
:End of assembler dump.

dso_list:
:/usr/lib64/libgdbm.so.3.0.0 gdbm-1.8.3-9.fc15.x86_64 (Fedora Project) 1309107799
:/lib64/ld-2.14.so glibc-2.14-4.x86_64 (Fedora Project) 1309787052
:/usr/lib/locale/locale-archive glibc-common-2.14-4.x86_64 (Fedora Project) 1309787060
:/lib64/libgcc_s-4.6.0-20110530.so.1 libgcc-4.6.0-9.fc15.x86_64 (Fedora Project) 1309125706
:/lib64/libc-2.14.so glibc-2.14-4.x86_64 (Fedora Project) 1309787052
:/usr/bin/mandb man-db-2.5.9-5.fc15.x86_64 (Fedora Project) 1310044635
:/usr/lib64/man-db/libmandb-2.5.9.so man-db-2.5.9-5.fc15.x86_64 (Fedora Project) 1310044635
:/usr/lib64/man-db/libman-2.5.9.so man-db-2.5.9-5.fc15.x86_64 (Fedora Project) 1310044635

environ:
:XDG_SESSION_ID=3045
:HOSTNAME=mail.majjas.com
:SELINUX_ROLE_REQUESTED=
:TERM=xterm
:SHELL=/bin/bash
:HISTSIZE=1000
:'SSH_CLIENT=10.0.0.11 54871 22'
:PERL5LIB=/usr/local/lib64/perl5:/usr/local/share/perl5:/usr/lib64/perl5/vendor_perl:/usr/share/perl5/vendor_perl
:SELINUX_USE_CURRENT_RANGE=
:QTDIR=/usr/lib64/qt-3.3
:QTINC=/usr/lib64/qt-3.3/include
:SSH_TTY=/dev/pts/0
:USER=root
:LS_COLORS=rs=0:di=01;34:ln=01;36:mh=00:pi=40;33:so=01;35:do=01;35:bd=40;33;01:cd=40;33;01:or=40;31;01:mi=01;05;37;41:su=37;41:sg=30;43:ca=30;41:tw=30;42:ow=34;42:st=37;44:ex=01;32:*.tar=01;31:*.tgz=01;31:*.arj=01;31:*.taz=01;31:*.lzh=01;31:*.lzma=01;31:*.tlz=01;31:*.txz=01;31:*.zip=01;31:*.z=01;31:*.Z=01;31:*.dz=01;31:*.gz=01;31:*.lz=01;31:*.xz=01;31:*.bz2=01;31:*.tbz=01;31:*.tbz2=01;31:*.bz=01;31:*.tz=01;31:*.deb=01;31:*.rpm=01;31:*.jar=01;31:*.war=01;31:*.ear=01;31:*.sar=01;31:*.rar=01;31:*.ace=01;31:*.zoo=01;31:*.cpio=01;31:*.7z=01;31:*.rz=01;31:*.jpg=01;35:*.jpeg=01;35:*.gif=01;35:*.bmp=01;35:*.pbm=01;35:*.pgm=01;35:*.ppm=01;35:*.tga=01;35:*.xbm=01;35:*.xpm=01;35:*.tif=01;35:*.tiff=01;35:*.png=01;35:*.svg=01;35:*.svgz=01;35:*.mng=01;35:*.pcx=01;35:*.mov=01;35:*.mpg=01;35:*.mpeg=01;35:*.m2v=01;35:*.mkv=01;35:*.ogm=01;35:*.mp4=01;35:*.m4v=01;35:*.mp4v=01;35:*.vob=01;35:*.qt=01;35:*.nuv=01;35:*.wmv=01;35:*.asf=01;35:*.rm=01;35:*.rmvb=01;35:*.flc=01;35:*.avi=01;35:*.fli=01;35:*.flv=01;35:*.gl=01;35:*.dl=01;35:*.xcf=01;35:*.xwd=01;35:*.yuv=01;35:*.cgm=01;35:*.emf=01;35:*.axv=01;35:*.anx=01;35:*.ogv=01;35:*.ogx=01;35:*.aac=01;36:*.au=01;36:*.flac=01;36:*.mid=01;36:*.midi=01;36:*.mka=01;36:*.mp3=01;36:*.mpc=01;36:*.ogg=01;36:*.ra=01;36:*.wav=01;36:*.axa=01;36:*.oga=01;36:*.spx=01;36:*.xspf=01;36:
:MAIL=/var/spool/mail/root
:PATH=/usr/lib64/qt-3.3/bin:/usr/lib64/ccache:/usr/local/sbin:/usr/local/bin:/sbin:/bin:/usr/sbin:/usr/bin:/root/bin
:PWD=/var/spool/abrt/ccpp-2011-07-07-08:50:40-24403
:LANG=en_US.UTF-8
:KDE_IS_PRELINKED=1
:MODULEPATH=/usr/share/Modules/modulefiles:/etc/modulefiles
:LOADEDMODULES=
:KDEDIRS=/usr
:SELINUX_LEVEL_REQUESTED=
:SSH_ASKPASS=/usr/libexec/openssh/gnome-ssh-askpass
:HISTCONTROL=ignoredups
:SHLVL=1
:HOME=/root
:LOGNAME=root
:QTLIB=/usr/lib64/qt-3.3/lib
:CVS_RSH=ssh
:'SSH_CONNECTION=10.0.0.11 54871 10.0.0.1 22'
:MODULESHOME=/usr/share/Modules
:'LESSOPEN=||/usr/bin/lesspipe.sh %s'
:XDG_RUNTIME_DIR=/run/user/root
:G_BROKEN_FILENAMES=1
:'module=() {  eval `/usr/bin/modulecmd bash $*`\n}'
:_=/usr/bin/mandb
:OLDPWD=/var/spool/abrt

maps:
:00400000-0041a000 r-xp 00000000 fd:05 18260                              /usr/bin/mandb
:0061a000-0061b000 rw-p 0001a000 fd:05 18260                              /usr/bin/mandb
:0061b000-0061e000 rw-p 00000000 00:00 0 
:00c8a000-00f19000 rw-p 00000000 00:00 0                                  [heap]
:3316e00000-3316e1f000 r-xp 00000000 fd:03 4926                           /lib64/ld-2.14.so
:331701e000-331701f000 r--p 0001e000 fd:03 4926                           /lib64/ld-2.14.so
:331701f000-3317020000 rw-p 0001f000 fd:03 4926                           /lib64/ld-2.14.so
:3317020000-3317021000 rw-p 00000000 00:00 0 
:3317200000-331738f000 r-xp 00000000 fd:03 6357                           /lib64/libc-2.14.so
:331738f000-331758e000 ---p 0018f000 fd:03 6357                           /lib64/libc-2.14.so
:331758e000-3317592000 r--p 0018e000 fd:03 6357                           /lib64/libc-2.14.so
:3317592000-3317593000 rw-p 00192000 fd:03 6357                           /lib64/libc-2.14.so
:3317593000-3317599000 rw-p 00000000 00:00 0 
:3318200000-3318215000 r-xp 00000000 fd:03 6394                           /lib64/libgcc_s-4.6.0-20110530.so.1
:3318215000-3318414000 ---p 00015000 fd:03 6394                           /lib64/libgcc_s-4.6.0-20110530.so.1
:3318414000-3318415000 rw-p 00014000 fd:03 6394                           /lib64/libgcc_s-4.6.0-20110530.so.1
:3320200000-3320205000 r-xp 00000000 fd:05 76616                          /usr/lib64/libgdbm.so.3.0.0
:3320205000-3320404000 ---p 00005000 fd:05 76616                          /usr/lib64/libgdbm.so.3.0.0
:3320404000-3320405000 rw-p 00004000 fd:05 76616                          /usr/lib64/libgdbm.so.3.0.0
:7f30fde7d000-7f30fdebe000 rw-p 00000000 00:00 0 
:7f30fdebe000-7f31042e1000 r--p 00000000 fd:05 44759                      /usr/lib/locale/locale-archive
:7f31042e1000-7f31042e4000 rw-p 00000000 00:00 0 
:7f3104311000-7f3104313000 rw-p 00000000 00:00 0 
:7f3104313000-7f3104345000 r-xp 00000000 fd:05 917792                     /usr/lib64/man-db/libman-2.5.9.so
:7f3104345000-7f3104545000 ---p 00032000 fd:05 917792                     /usr/lib64/man-db/libman-2.5.9.so
:7f3104545000-7f3104547000 rw-p 00032000 fd:05 917792                     /usr/lib64/man-db/libman-2.5.9.so
:7f3104547000-7f3104549000 rw-p 00000000 00:00 0 
:7f3104549000-7f310454e000 r-xp 00000000 fd:05 927282                     /usr/lib64/man-db/libmandb-2.5.9.so
:7f310454e000-7f310474d000 ---p 00005000 fd:05 927282                     /usr/lib64/man-db/libmandb-2.5.9.so
:7f310474d000-7f310474e000 rw-p 00004000 fd:05 927282                     /usr/lib64/man-db/libmandb-2.5.9.so
:7f310474e000-7f310474f000 rw-p 00000000 00:00 0 
:7fff38b1a000-7fff38b3b000 rw-p 00000000 00:00 0                          [stack]
:7fff38bff000-7fff38c00000 r-xp 00000000 00:00 0                          [vdso]
:ffffffffff600000-ffffffffff601000 r-xp 00000000 00:00 0                  [vsyscall]

var_log_messages:
:Jul  4 03:26:25 mail kernel: [571737.755391] mandb[25161]: segfault at 33feee2a80 ip 00000033fce772a5 sp 00007fffed321a00 error 4 in libc-2.14.so[33fce00000+18f000]
:Jul  5 03:21:25 mail kernel: [657808.195552] mandb[29924]: segfault at 7f9cc4bda240 ip 00007f9cc27112a5 sp 00007ffff38e0c70 error 4 in libc-2.14.so[7f9cc269a000+18f000]
:Jul  5 17:57:48 mail kernel: [710372.295011] mandb[19461]: segfault at 3319c3f3f0 ip 00000033172772a5 sp 00007ffff28c0bd0 error 4 in libc-2.14.so[3317200000+18f000]
:Jul  6 03:47:36 mail kernel: [25009.140813] mandb[440]: segfault at 3318cfa140 ip 00000033172772a5 sp 00007fffa052f040 error 4 in libc-2.14.so[3317200000+18f000]
:Jul  7 03:44:41 mail kernel: [111204.665708] mandb[1515]: segfault at 3318810910 ip 00000033172772a5 sp 00007fff97a90200 error 4 in libc-2.14.so[3317200000+18f000]
:Jul  7 08:50:40 mail kernel: [129556.825958] mandb[24403] general protection ip:3317277292 sp:7fffb74cf0e0 error:0 in libc-2.14.so[3317200000+18f000]
:Jul  7 08:50:40 mail abrt[28180]: saved core dump of pid 24403 (/usr/bin/mandb) to /var/spool/abrt/ccpp-2011-07-07-08:50:40-24403.new/coredump (6291456 bytes)
:Jul  7 08:52:09 mail kernel: [129645.383851] mandb[28342] general protection ip:33172772a5 sp:7fff47d80250 error:0 in libc-2.14.so[3317200000+18f000]
:Jul  7 08:52:09 mail abrt[1202]: saved core dump of pid 28342 (/usr/bin/mandb) to /var/spool/abrt/ccpp-2011-07-07-08:52:09-28342.new/coredump (65536 bytes)
:Jul  7 08:53:51 mail kernel: [129747.420374] mandb[1269] general protection ip:3317277292 sp:7fffbfb1f800 error:0 in libc-2.14.so[3317200000+18f000]
:Jul  7 08:53:51 mail abrt[6320]: saved core dump of pid 1269 (/usr/bin/mandb) to /var/spool/abrt/ccpp-2011-07-07-08:53:51-1269.new/coredump (65536 bytes)
:Jul  7 08:56:18 mail kernel: [129894.299481] mandb[6408]: segfault at 3318dc7f90 ip 00000033172772a5 sp 00007fff76022600 error 4 in libc-2.14.so[3317200000+18f000]
:Jul  7 08:56:18 mail abrt[27599]: saved core dump of pid 6408 (/usr/bin/mandb) to /var/spool/abrt/ccpp-2011-07-07-08:56:18-6408.new/coredump (6324224 bytes)
:Jul  7 09:08:48 mail kernel: [130644.480022] mandb[29006]: segfault at ffffffff924f0ef9 ip 00000033172772bc sp 00007fff4d0fe110 error 4 in libc-2.14.so[3317200000+18f000]
:Jul  7 09:18:19 mail abrt[950]: saved core dump of pid 2092 (/usr/bin/mandb) to /var/spool/abrt/ccpp-2011-07-07-09:18:19-2092.new/coredump (3252224 bytes)
Comment 1 Fedora Admin XMLRPC Client 2011-07-12 07:45:34 EDT
This package has changed ownership in the Fedora Package Database.  Reassigning to the new owner of this component.
Comment 2 Michael Breuer 2011-07-17 10:07:38 EDT
*** Bug 719626 has been marked as a duplicate of this bug. ***
Comment 3 Michael Breuer 2011-07-17 10:10:06 EDT
Workaround: installation of libpipeline-1.2.0 from rawhide stops the crash.

Was the F15 version of man-db built with libpipeline and no dependency noted?
Comment 4 Michael Breuer 2011-07-17 11:34:56 EDT
Disregard comment 3... worked once, then began segfaulting again.

No two segfaults appear the same... looks like memory corruption. Will try digging deeper as time permits.
Comment 5 Colin Watson 2011-07-17 11:53:26 EDT
Looks like malloc arena corruption.  Try running it under valgrind, which is the usual tool for debugging such things; it should report when mandb actually does something wrong rather than when malloc happens to notice.
Comment 6 Michael Breuer 2011-07-18 21:11:34 EDT
As is typical, much harder to crash with valgrind. I did manage to get this while running with valgrind (fourth try): 
*** glibc detected *** man-db-2.5.9/src/.libs/lt-mandb: corrupted double-linked list: 0x0000000000b95570 ***

This was to stderr.

valgrind reported no errors.
Comment 7 Peter Schiffer 2012-03-21 12:03:08 EDT
Michael,

do you still see these crashes? If yes, could you attach debug log of mandb?
(run: # mandb --debug)

Thanks,

peter
Comment 8 Michael Breuer 2012-03-21 18:33:33 EDT
Seems to have resolved in F16.
Comment 9 Peter Schiffer 2012-03-22 10:50:24 EDT
Thanks. I am closing this as NEXTRELEASE based on comment 8.

Note You need to log in before you can comment on or make changes to this bug.